---
updatedAt: 2026-03-19T13:52:51.000Z
agentTools:
  projectIndex: https://developers.hover.to/llms.txt
---

# Get Upgrade Price

Retrieve pricing information for upgrading an existing deliverable for a model.

## Overview

This endpoint allows integrations to retrieve pricing information when upgrading an existing deliverable for a model. This is useful for scenarios where a user wants to transition one deliverable to another, such as upgrading a `Roof Only`  model to a `Complete 3D` model.

The response provides a breakdown of the current payment status and the additional amount required for the upgrade. All monetary values are returned in cents. For example, if the `pending` value is `7500`, the cost to proceed with the Deliverable Change Request would be $75.

Using this pricing data, your integration can determine whether to initiate a Deliverable Change Request, which would charge the payment method on file and grant access to the upgraded deliverable.

## Obtaining the `model_id`

Your integration can obtain the specific model ID(s) by calling the [Show Job Details endpoint](https://developers.hover.to/reference/show-job-details-v3).

# Sample Response Body

```json 200 OK
{
    "owed": 3500,       // The amount currently owed for the existing deliverable (in cents)
    "paid": 0,          // The amount that has already been paid for this model (in cents)
    "pending": 7500     // The additional amount that would be owed if the deliverable is 	                              upgraded (in cents)
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "hover-api-v3",
    "version": "3"
  },
  "servers": [
    {
      "url": "https://hover.to"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v3/models/{model_id}/deliverable_change_requests/price": {
      "get": {
        "summary": "Get Upgrade Price",
        "description": "",
        "operationId": "get-upgrade-price",
        "parameters": [
          {
            "name": "model_id",
            "in": "path",
            "description": "The ID of the model to check the price of an upgrade on.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1686641
            },
            "required": true
          },
          {
            "name": "new_deliverable_id",
            "in": "query",
            "description": "Deliverable ID of the new potential deliverable",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 3
            }
          },
          {
            "name": "current_user_id",
            "in": "query",
            "description": "User ID value of an admin user on the authenticated Hover org.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 8675309
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```